List all cash control reports
Get a cash report
get/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashreports
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+tillUidstringRequiredPattern:
Reference to a till.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Query parameters
pageNumberintegerOptional
Reference to a specific page in a result set.
pageSizeintegerOptional
The number of items per page in a result set.
sortDirectionstring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
sortBystringOptional
Defines which field the resource list is sorted by.
cashreportFromDatestring · dateOptional
Reference to a from-date.
cashreportToDatestring · dateOptional
Reference to a to-date.
Responses
200
Example response
application/json
get/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashreports
GET /v2/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashreports HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"items": [
{
"bankdepositAmount": 1,
"bankdepositReference": "text",
"cashDifferenceAmount": 1,
"cashRevenueAmount": 1,
"cashreportUid": "text",
"changeAmount": 1,
"closedAt": "2026-01-01T00:00:00.000Z",
"closedByDisplayName": "text",
"comment": "text",
"countedAmount": 1,
"openAt": "2026-01-01T00:00:00.000Z",
"openByDisplayName": "text",
"status": "OPEN",
"withdrawalAmount": 1,
"cashDetailsAtOpen": [
{
"currencyCode": "text",
"denomination": 1,
"material": "COIN",
"quantityCounted": 1,
"amount": 1
}
],
"cashDetailsAtClose": [
{
"currencyCode": "text",
"denomination": 1,
"material": "COIN",
"quantityCounted": 1,
"amount": 1
}
]
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

